Request
curl -X POST https://sandbox.api.lendeasy.ai/v1/servicing/core-bindings/$BINDING_ID/actions \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"actionId": "act_HBR_PMT_812",
"actionType": "take_payment",
"entity": {
"loanId": "loan_harbor_7X2K",
"sourceAccountId": "LN-0081442"
},
"expectedSourceVersion": "acct-etag-99104",
"parameters": {
"amount": "517.14",
"currency": "USD",
"effectiveDate": "2027-05-08",
"sourceInstrumentId": "BANK-TOKEN-204"
},
"context": {
"caseId": "case_HBR_COL_51",
"reasonCode": "promise_installment"
}
}'
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/core-bindings/${bindingId}/actions`, {
method: "POST",
headers: { Authorization: `Bearer ${token}`, "Idempotency-Key": idempotencyKey, "Content-Type": "application/json" },
body: JSON.stringify({
"actionId": "act_HBR_PMT_812",
"actionType": "take_payment",
"entity": {
"loanId": "loan_harbor_7X2K",
"sourceAccountId": "LN-0081442"
},
"expectedSourceVersion": "acct-etag-99104",
"parameters": {
"amount": "517.14",
"currency": "USD",
"effectiveDate": "2027-05-08",
"sourceInstrumentId": "BANK-TOKEN-204"
},
"context": {
"caseId": "case_HBR_COL_51",
"reasonCode": "promise_installment"
}
}),
});
requests.post(
f"https://sandbox.api.lendeasy.ai/v1/servicing/core-bindings/{binding_id}/actions",
headers={"Authorization": f"Bearer {token}", "Idempotency-Key": idempotency_key},
json={
"actionId": "act_HBR_PMT_812",
"actionType": "take_payment",
"entity": {
"loanId": "loan_harbor_7X2K",
"sourceAccountId": "LN-0081442"
},
"expectedSourceVersion": "acct-etag-99104",
"parameters": {
"amount": "517.14",
"currency": "USD",
"effectiveDate": "2027-05-08",
"sourceInstrumentId": "BANK-TOKEN-204"
},
"context": {
"caseId": "case_HBR_COL_51",
"reasonCode": "promise_installment"
}
},
)
{
"actionId": "act_HBR_PMT_812",
"outcome": "pending_external",
"sourceOperationId": "PAY-99120",
"sourceVersion": "acct-etag-99105",
"pollAfter": "2027-05-08T10: 05: 00-07: 00"
}
{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}